package ir.android_studio.camera;

import androidx.appcompat.app.AppCompatActivity;

import android.content.ActivityNotFoundException;
import android.content.Intent;
import android.graphics.Bitmap;
import android.os.Bundle;
import android.provider.MediaStore;
import android.view.View;
import android.widget.Button;
import android.widget.ImageView;
import android.widget.Toast;

public class MainActivity extends AppCompatActivity {

    ImageView imgView;
    Button btnPhoto;
    protected static final int CameraRequest = 1;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);

        imgView = findViewById(R.id.imageView);
        btnPhoto = findViewById(R.id.btn_photo);

        btnPhoto.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {

                Intent camIntent = new Intent(MediaStore.ACTION_IMAGE_CAPTURE);

                try {

                    startActivityForResult(camIntent, CameraRequest);

                } catch (ActivityNotFoundException e) {

                    Toast.makeText(MainActivity.this, "برنامه دوربین پیدا نشد", Toast.LENGTH_SHORT).show();

                }

            }
        });


    }

    protected void onActivityResult(int requestCode, int resultCode, Intent data) {

        if (requestCode == CameraRequest) {

            Bitmap resultPhoto = (Bitmap) data.getExtras().get("data");
            imgView.setImageBitmap(resultPhoto);

        }

    }


}
